// home_page_state.dart
import 'package:equatable/equatable.dart';

abstract class HomePageState extends Equatable {
  const HomePageState();

  @override
  List<Object> get props => [];
}

class HomePageInitial extends HomePageState {}

class HomePageLoading extends HomePageState {}

class HomePageLoaded extends HomePageState {
  const HomePageLoaded();

  @override
  List<Object> get props => [];
}

class HomePageError extends HomePageState {
  final String message;

  const HomePageError({required this.message});

  @override
  List<Object> get props => [message];
}
